#include <iostream>

using namespace std;

int main(){
	int n;
	bool result;
	
	cout << "Введите n: ";
	cin >> n;
	cout << endl;
	
	cout << "Простые числа в диапазоне [2, " << n << "]:" << endl;

	for (int i = 3; i <= n; i++){

		result = true;

		for (int j = 2; j <= i/2; j++){
			if (i % j == 0){
				result = false;
				break;
			}
		}

		if (result == true){
			cout << i << endl;
		}
	}
	
	return 0;
}
